Bug 210950 - 'yum install vim' should "just work"
'yum install vim' should "just work"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
5
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-16 13:33 EDT by Jason Pepas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 7.0.139-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-05 06:32:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
use it! (17 bytes, text/plain)
2006-10-16 13:33 EDT, Jason Pepas
no flags Details

  None (edit)
Description Jason Pepas 2006-10-16 13:33:17 EDT
Description of problem:

there is no 'vim' package.  in order to install vim, one must install the
'vim-enhanced' package.  On behalf of the thousands of vim users who have issued
"yum install vim" and then wasted then five minutes of their lives, I hereby
declare poo on the fedora distribution.  upside your head with a cluebat fedora!
Comment 1 Jason Pepas 2006-10-16 13:33:17 EDT
Created attachment 138595 [details]
use it!
Comment 2 Kevin Fenzi 2006-10-17 14:16:39 EDT
When a user does 'yum install vim' however, it's unclear if the user wants the 
enhanced version or the minimal version, or even the X11 version. 

I guess one could be picked to Provide vim and hope that meets with most 
peoples expectations, or they could all just be pulled in. 

Comment 3 Christopher Stone 2006-10-18 01:41:16 EDT
Aren't clueless people supposed to use the GUI?
Comment 4 Jason Farrell 2006-12-29 16:51:58 EST
yum install vim\*
Comment 5 Karsten Hopp 2007-04-05 06:32:01 EDT
fixed in 7.0.139-1 and newer
vim-minimal provides vi
vim-enhanced provides vim


Note You need to log in before you can comment on or make changes to this bug.